Bug 210730 - [GStreamer][JHBuild] Update to 1.16.2
Summary: [GStreamer][JHBuild] Update to 1.16.2
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Lauro Moura
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-04-19 19:52 PDT by Lauro Moura
Modified: 2020-04-21 10:51 PDT (History)
4 users (show)

See Also:


Attachments
Patch (8.58 KB, patch)
2020-04-19 21:38 PDT, Lauro Moura
no flags Details | Formatted Diff | Diff
Patch (8.62 KB, patch)
2020-04-20 20:42 PDT, Lauro Moura
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lauro Moura 2020-04-19 19:52:51 PDT
To match the Flatpak SDK's GStreamer.
Comment 1 Lauro Moura 2020-04-19 21:38:59 PDT
Created attachment 396939 [details]
Patch
Comment 2 Lauro Moura 2020-04-19 21:45:07 PDT
Tested on top of r260305

GTK Release build for this revision: https://build.webkit.org/builders/GTK%20Linux%2064-bit%20Release%20%28Tests%29/builds/13381
Comment 3 Lauro Moura 2020-04-19 21:46:18 PDT
Layout test results with regular test bot options:

=> Results: 50568/53505 tests passed (94.5%)

=> Tests to be fixed (12274):
     30 crashes                  ( 0.2%)
    132 timeouts                 ( 1.1%)
      3 missing results          ( 0.0%)
   1507 image-only failures      (12.3%)

=> Tests that will only be fixed if they crash (WONTFIX) (308):
      1 timeouts                 ( 0.3%)


Expected to fail, but passed: (50)
  compositing/plugins/composited-plugin.html
  compositing/reflections/animation-inside-reflection.html
  compositing/reflections/compositing-change-inside-reflection.html
  compositing/reflections/deeply-nested-reflections.html
  compositing/reflections/load-video-in-reflection.html
  compositing/reflections/masked-reflection-on-composited.html
  compositing/reflections/nested-reflection-anchor-point.html
  compositing/reflections/nested-reflection-animated.html
  compositing/reflections/nested-reflection-mask-change.html
  compositing/reflections/nested-reflection-on-overflow.html
  compositing/reflections/nested-reflection-opacity.html
  compositing/reflections/nested-reflection-size-change.html
  compositing/reflections/nested-reflection-transformed.html
  compositing/reflections/nested-reflection-transformed2.html
  compositing/reflections/nested-reflection-transition.html
  compositing/reflections/nested-reflection.html
  compositing/reflections/reflection-on-composited.html
  compositing/reflections/reflection-opacity.html
  compositing/reflections/reflection-ordering.html
  compositing/reflections/reflection-positioning.html
  compositing/reflections/reflection-positioning2.html
  compositing/reflections/simple-composited-reflections.html
  compositing/reflections/transform-inside-reflection.html
  compositing/tiling/rotated-tiled-clamped.html
  compositing/tiling/rotated-tiled-preserve3d-clamped.html
  compositing/transitions/scale-transition-no-start.html
  compositing/transitions/singular-scale-transition.html
  compositing/visibility/visibility-composited-transforms.html
  compositing/visibility/visibility-composited.html
  compositing/webgl/webgl-no-alpha.html
  compositing/webgl/webgl-reflection.html
  css3/blending/blend-mode-isolated-group-1.html
  css3/blending/blend-mode-isolated-group-2.html
  css3/blending/blend-mode-isolated-group-3.html
  css3/blending/blend-mode-layers.html
  css3/blending/blend-mode-reflection.html
  css3/blending/blend-mode-simple-composited.html
  css3/filters/effect-brightness-clamping-hw.html
  css3/filters/effect-brightness-clamping.html
  fast/forms/auto-fill-button/hide-auto-fill-strong-password-viewable-treatment-when-form-is-reset.html
  fast/forms/auto-fill-button/input-strong-password-viewable.html
  http/tests/media/video-cross-site.html
  imported/w3c/web-platform-tests/css/css-ui/text-overflow-022.html
  imported/w3c/web-platform-tests/web-animations/interfaces/Animatable/animate.html
  imported/w3c/web-platform-tests/web-animations/interfaces/Animation/commitStyles.html
  imported/w3c/web-platform-tests/web-animations/interfaces/KeyframeEffect/style-change-events.html
  imported/w3c/web-platform-tests/web-animations/interfaces/KeyframeEffect/target.html
  imported/w3c/web-platform-tests/websockets/opening-handshake/003.html
  storage/indexeddb/result-request-cycle.html
  storage/indexeddb/value-cursor-cycle.html


Unexpected flakiness: text-only failures (7)
  http/tests/navigation/page-cache-video.html [ Failure Pass ]
  imported/w3c/web-platform-tests/encoding/streams/decode-utf8.any.worker.html [ Failure Pass ]
  imported/w3c/web-platform-tests/offscreen-canvas/compositing/2d.composite.uncovered.pattern.source-in.html [ Failure Pass ]
  imported/w3c/web-platform-tests/offscreen-canvas/compositing/2d.composite.uncovered.pattern.source-out.html [ Failure Pass ]
  media/video-loop.html [ Crash Timeout Pass Failure ]
  perf/htmlcollection-backwards-iteration.html [ Failure Pass ]
  storage/indexeddb/cursor-request-cycle-private.html [ Failure Pass ]


Regressions: Unexpected text-only failures (6)
  http/tests/misc/last-modified-parsing.html [ Failure ]
  imported/w3c/web-platform-tests/fetch/security/embedded-credentials.tentative.sub.html [ Failure ]
  imported/w3c/web-platform-tests/offscreen-canvas/compositing/2d.composite.globalAlpha.imagepattern.html [ Failure ]
  imported/w3c/web-platform-tests/offscreen-canvas/fill-and-stroke-styles/2d.pattern.paint.norepeat.coord2.html [ Failure ]
  imported/w3c/web-platform-tests/offscreen-canvas/fill-and-stroke-styles/2d.pattern.paint.repeaty.coord1.html [ Failure ]
  imported/w3c/web-platform-tests/offscreen-canvas/fill-and-stroke-styles/2d.pattern.repeat.empty.html [ Failure ]

Regressions: Unexpected image-only failures (1)
  compositing/video/video-border-radius-clipping.html [ ImageOnlyFailure ]

Regressions: Unexpected crashes (1)
  plugins/focus.html [ Crash ]
Comment 4 Lauro Moura 2020-04-19 21:46:57 PDT
Layout test results with EWS config (--skip-failing-tests)

=> Results: 49148/49164 tests passed (100.0%)

=> Tests to be fixed (13694):
      7 crashes                  ( 0.1%)
      2 image-only failures      ( 0.0%)

=> Tests that will only be fixed if they crash (WONTFIX) (308):


Unexpected flakiness: text-only failures (4)
  http/wpt/workers/microtasks.any.worker.html [ Failure Pass ]
  imported/w3c/web-platform-tests/offscreen-canvas/compositing/2d.composite.uncovered.pattern.source-out.html [ Failure Pass ]
  imported/w3c/web-platform-tests/offscreen-canvas/fill-and-stroke-styles/2d.pattern.paint.repeat.outside.html [ Failure Pass ]
  imported/w3c/web-platform-tests/offscreen-canvas/fill-and-stroke-styles/2d.pattern.paint.repeatx.basic.html [ Failure Pass ]

Unexpected flakiness: image-only failures (1)
  imported/w3c/web-platform-tests/fetch/http-cache/basic-auth-cache-test.html [ ImageOnlyFailure Pass ]


Regressions: Unexpected text-only failures (3)
  http/tests/misc/last-modified-parsing.html [ Failure ]
  imported/w3c/web-platform-tests/offscreen-canvas/compositing/2d.composite.uncovered.pattern.source-in.html [ Failure ]
  imported/w3c/web-platform-tests/offscreen-canvas/fill-and-stroke-styles/2d.pattern.paint.repeat.basic.html [ Failure ]

Regressions: Unexpected image-only failures (1)
  compositing/video/video-border-radius-clipping.html [ ImageOnlyFailure ]

Regressions: Unexpected crashes (7)
  inspector/unit-tests/promise-utilities.html [ Crash ]
  js/dfg-other-branch.html [ Crash ]
  js/dom/string-split-conformance.html [ Crash ]
  media/W3C/audio/canPlayType/canPlayType_application_octet_stream.html [ Crash ]
  webaudio/gain.html [ Crash ]
  webgl/1.0.3/conformance/ogles/GL/struct/struct_025_to_032.html [ Crash ]
  webgl/1.0.3/conformance/uniforms/gl-uniform-bool.html [ Crash ]
Comment 5 Carlos Alberto Lopez Perez 2020-04-20 07:05:08 PDT
Please note that this patch would require review (changes to the moduleset are not considered gardening patches). You have to bring back the "Reviewed by nobody (oops)" line and ask for r?
Comment 6 Lauro Moura 2020-04-20 07:49:54 PDT
(In reply to Carlos Alberto Lopez Perez from comment #5)
> Please note that this patch would require review (changes to the moduleset
> are not considered gardening patches). You have to bring back the "Reviewed
> by nobody (oops)" line and ask for r?

Sure. This is just a provisional one while I do more tests.
Comment 7 Lauro Moura 2020-04-20 20:42:12 PDT
Created attachment 397050 [details]
Patch
Comment 8 EWS 2020-04-21 10:51:00 PDT
Committed r260442: <https://trac.webkit.org/changeset/260442>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 397050 [details].
Comment 9 Radar WebKit Bug Importer 2020-04-21 10:51:15 PDT
<rdar://problem/62118390>